Index: XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp	(revision 891)
+++ XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp	(revision 891)
@@ -0,0 +1,197 @@
+/* ************************************************************************** *
+ *               Interface auto generated - do not modify                     *
+ * ************************************************************************** */
+
+#include <boost/multi_array.hpp>
+#include <boost/shared_ptr.hpp>
+#include "xios.hpp"
+#include "attribute_template.hpp"
+#include "object_template.hpp"
+#include "group_template.hpp"
+#include "icutil.hpp"
+#include "icdate.hpp"
+#include "timer.hpp"
+#include "node_type.hpp"
+
+extern "C"
+{
+  typedef xios::CScalarGroup* scalargroup_Ptr;
+
+  void cxios_set_scalargroup_group_ref(scalargroup_Ptr scalargroup_hdl, const char * group_ref, int group_ref_size)
+  {
+    std::string group_ref_str;
+    if (!cstr2string(group_ref, group_ref_size, group_ref_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->group_ref.setValue(group_ref_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_group_ref(scalargroup_Ptr scalargroup_hdl, char * group_ref, int group_ref_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->group_ref.getInheritedValue(), group_ref, group_ref_size))
+      ERROR("void cxios_get_scalargroup_group_ref(scalargroup_Ptr scalargroup_hdl, char * group_ref, int group_ref_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_group_ref(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->group_ref.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_long_name(scalargroup_Ptr scalargroup_hdl, const char * long_name, int long_name_size)
+  {
+    std::string long_name_str;
+    if (!cstr2string(long_name, long_name_size, long_name_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->long_name.setValue(long_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_long_name(scalargroup_Ptr scalargroup_hdl, char * long_name, int long_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->long_name.getInheritedValue(), long_name, long_name_size))
+      ERROR("void cxios_get_scalargroup_long_name(scalargroup_Ptr scalargroup_hdl, char * long_name, int long_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_long_name(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->long_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_name(scalargroup_Ptr scalargroup_hdl, const char * name, int name_size)
+  {
+    std::string name_str;
+    if (!cstr2string(name, name_size, name_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->name.setValue(name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_name(scalargroup_Ptr scalargroup_hdl, char * name, int name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->name.getInheritedValue(), name, name_size))
+      ERROR("void cxios_get_scalargroup_name(scalargroup_Ptr scalargroup_hdl, char * name, int name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_name(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_scalar_ref(scalargroup_Ptr scalargroup_hdl, const char * scalar_ref, int scalar_ref_size)
+  {
+    std::string scalar_ref_str;
+    if (!cstr2string(scalar_ref, scalar_ref_size, scalar_ref_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->scalar_ref.setValue(scalar_ref_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_scalar_ref(scalargroup_Ptr scalargroup_hdl, char * scalar_ref, int scalar_ref_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->scalar_ref.getInheritedValue(), scalar_ref, scalar_ref_size))
+      ERROR("void cxios_get_scalargroup_scalar_ref(scalargroup_Ptr scalargroup_hdl, char * scalar_ref, int scalar_ref_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_scalar_ref(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->scalar_ref.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_standard_name(scalargroup_Ptr scalargroup_hdl, const char * standard_name, int standard_name_size)
+  {
+    std::string standard_name_str;
+    if (!cstr2string(standard_name, standard_name_size, standard_name_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->standard_name.setValue(standard_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_standard_name(scalargroup_Ptr scalargroup_hdl, char * standard_name, int standard_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->standard_name.getInheritedValue(), standard_name, standard_name_size))
+      ERROR("void cxios_get_scalargroup_standard_name(scalargroup_Ptr scalargroup_hdl, char * standard_name, int standard_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_standard_name(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->standard_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_unit(scalargroup_Ptr scalargroup_hdl, const char * unit, int unit_size)
+  {
+    std::string unit_str;
+    if (!cstr2string(unit, unit_size, unit_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->unit.setValue(unit_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_unit(scalargroup_Ptr scalargroup_hdl, char * unit, int unit_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->unit.getInheritedValue(), unit, unit_size))
+      ERROR("void cxios_get_scalargroup_unit(scalargroup_Ptr scalargroup_hdl, char * unit, int unit_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_unit(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->unit.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_value(scalargroup_Ptr scalargroup_hdl, double value)
+  {
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->value.setValue(value);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_value(scalargroup_Ptr scalargroup_hdl, double* value)
+  {
+    CTimer::get("XIOS").resume();
+    *value = scalargroup_hdl->value.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_value(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->value.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+}
Index: XIOS/trunk/src/interface/fortran/ireduce_axis_to_scalar.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/ireduce_axis_to_scalar.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran/ireduce_axis_to_scalar.F90	(revision 891)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREDUCE_AXIS_TO_SCALAR
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REDUCE_AXIS_TO_SCALAR_INTERFACE
+
+   TYPE txios(reduce_axis_to_scalar)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reduce_axis_to_scalar)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reduce_axis_to_scalar_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(OUT):: ret
+      CALL cxios_reduce_axis_to_scalar_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reduce_axis_to_scalar_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reduce_axis_to_scalar)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reduce_axis_to_scalar_valid_id(val, idt, len(idt))
+      xios(is_valid_reduce_axis_to_scalar) = val
+
+   END FUNCTION  xios(is_valid_reduce_axis_to_scalar)
+
+END MODULE IREDUCE_AXIS_TO_SCALAR
Index: XIOS/trunk/src/interface/fortran/iscalar.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/iscalar.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran/iscalar.F90	(revision 891)
@@ -0,0 +1,56 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE ISCALAR
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE SCALAR_INTERFACE
+   USE SCALARGROUP_INTERFACE
+
+   TYPE txios(scalar)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(scalar)
+
+   TYPE txios(scalargroup)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(scalargroup)
+
+
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_scalar_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(scalar)) , INTENT(OUT):: ret
+      CALL cxios_scalar_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_scalar_handle)
+
+   SUBROUTINE xios(get_scalargroup_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *)    , INTENT(IN) :: idt
+      TYPE(txios(scalargroup)), INTENT(OUT):: ret
+
+      CALL cxios_scalargroup_handle_create(ret%daddr, idt, len(idt))
+
+   END SUBROUTINE xios(get_scalargroup_handle)
+
+   LOGICAL FUNCTION xios(is_valid_scalar)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_scalar_valid_id(val, idt, len(idt))
+      xios(is_valid_scalar) = val
+
+   END FUNCTION  xios(is_valid_scalar)
+
+   LOGICAL FUNCTION xios(is_valid_scalargroup)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_scalargroup_valid_id(val, idt, len(idt))
+      xios(is_valid_scalargroup) = val
+
+   END FUNCTION  xios(is_valid_scalargroup)
+
+END MODULE ISCALAR
Index: XIOS/trunk/src/interface/fortran/ixios.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/ixios.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran/ixios.F90	(revision 891)
@@ -68,4 +68,10 @@
 USE iaxisgroup_attr, ONLY : xios(set_axisgroup_attr), xios(get_axisgroup_attr), xios(is_defined_axisgroup_attr)
 
+USE iscalar, ONLY : txios(scalar), txios(scalargroup), xios(is_valid_scalar), xios(is_valid_scalargroup)
+
+USE iscalar_attr, ONLY : xios(set_scalar_attr), xios(get_scalar_attr), xios(is_defined_scalar_attr)
+
+USE iscalargroup_attr, ONLY : xios(set_scalargroup_attr), xios(get_scalargroup_attr), xios(is_defined_scalargroup_attr)
+
 USE izoom_axis, ONLY : txios(zoom_axis), xios(is_valid_zoom_axis)
 
@@ -95,4 +101,8 @@
                                               xios(get_generate_rectilinear_domain_attr), &
                                               xios(is_defined_generate_rectilinear_domain_attr)
+USE ireduce_axis_to_scalar, ONLY : txios(reduce_axis_to_scalar), xios(is_valid_reduce_axis_to_scalar)
+
+USE ireduce_axis_to_scalar_attr, ONLY : xios(set_reduce_axis_to_scalar_attr), xios(get_reduce_axis_to_scalar_attr), &
+                                        xios(is_defined_reduce_axis_to_scalar_attr)
 
 USE XIOS_INTERFACES, ONLY : xios(set_attr), xios(get_attr), xios(is_defined_attr), xios(get_handle), xios(add_child), &
Index: XIOS/trunk/src/interface/fortran/ixios_interfaces.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/ixios_interfaces.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran/ixios_interfaces.F90	(revision 891)
@@ -51,4 +51,10 @@
 USE iaxisgroup_attr, ONLY : xios(set_axisgroup_attr_hdl), xios(get_axisgroup_attr_hdl), xios(is_defined_axisgroup_attr_hdl)
 
+USE iscalar, ONLY : xios(get_scalar_handle), xios(get_scalargroup_handle)
+
+USE iscalar_attr, ONLY : xios(set_scalar_attr_hdl), xios(get_scalar_attr_hdl), xios(is_defined_scalar_attr_hdl)
+
+USE iscalargroup_attr, ONLY : xios(set_scalargroup_attr_hdl), xios(get_scalargroup_attr_hdl), xios(is_defined_scalargroup_attr_hdl)
+
 USE izoom_axis, ONLY : xios(get_zoom_axis_handle)
 
@@ -79,4 +85,8 @@
                                               xios(is_defined_generate_rectilinear_domain_attr_hdl)
 
+USE ireduce_axis_to_scalar, ONLY : xios(get_reduce_axis_to_scalar_handle)
+
+USE ireduce_axis_to_scalar_attr, ONLY : xios(set_reduce_axis_to_scalar_attr_hdl), xios(get_reduce_axis_to_scalar_attr_hdl), xios(is_defined_reduce_axis_to_scalar_attr_hdl)
+
 USE ixml_tree, ONLY : xios(add_axis), xios(add_file), xios(add_grid), xios(add_field), xios(add_domain),   &
                       xios(add_fieldtofile), xios(add_variabletofile), xios(add_variabletofield),          &
@@ -86,5 +96,6 @@
                       xios(add_zoomdomaintodomain), xios(add_interpolatedomaintodomain),                   &
                       xios(add_generatedomaintodomain), xios(add_zoomaxistoaxis),                          &
-                      xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis)
+                      xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis), xios(add_scalar),      &
+                      xios(add_scalargroup), xios(add_scalartogrid), xios(add_reduceaxistoscalartoscalar)
 
 PRIVATE
@@ -98,5 +109,6 @@
                    xios(set_zoom_domain_attr_hdl), xios(set_interpolate_axis_attr_hdl),                      &
                    xios(set_interpolate_domain_attr_hdl), xios(set_inverse_axis_attr_hdl),                   &
-                   xios(set_generate_rectilinear_domain_attr_hdl)
+                   xios(set_generate_rectilinear_domain_attr_hdl), xios(set_scalar_attr_hdl),                &
+                   xios(set_scalargroup_attr_hdl), xios(set_reduce_axis_to_scalar_attr_hdl)
 END INTERFACE xios(set_attr)
 
@@ -109,5 +121,6 @@
                    xios(get_zoom_domain_attr_hdl), xios(get_interpolate_axis_attr_hdl),                      &
                    xios(get_interpolate_domain_attr_hdl), xios(get_inverse_axis_attr_hdl),                   &
-                   xios(get_generate_rectilinear_domain_attr_hdl)
+                   xios(get_generate_rectilinear_domain_attr_hdl), xios(get_scalar_attr_hdl),                &
+                   xios(get_scalargroup_attr_hdl), xios(get_reduce_axis_to_scalar_attr_hdl)
 END INTERFACE xios(get_attr)
 
@@ -120,5 +133,7 @@
                    xios(is_defined_zoom_axis_attr_hdl), xios(is_defined_zoom_domain_attr_hdl),                                    &
                    xios(is_defined_interpolate_axis_attr_hdl), xios(is_defined_interpolate_domain_attr_hdl),                      &
-                   xios(is_defined_inverse_axis_attr_hdl), xios(is_defined_generate_rectilinear_domain_attr_hdl)
+                   xios(is_defined_inverse_axis_attr_hdl), xios(is_defined_generate_rectilinear_domain_attr_hdl),                 &
+                   xios(is_defined_scalar_attr_hdl), xios(is_defined_scalargroup_attr_hdl),                                       &
+                   xios(is_defined_reduce_axis_to_scalar_attr_hdl)
 END INTERFACE xios(is_defined_attr)
 
@@ -131,5 +146,6 @@
                    xios(get_zoom_domain_handle), xios(get_interpolate_axis_handle),                 &
                    xios(get_interpolate_domain_handle), xios(get_inverse_axis_handle),              &
-                   xios(get_generate_rectilinear_domain_handle)
+                   xios(get_generate_rectilinear_domain_handle), xios(get_scalar_handle),           &
+                   xios(get_scalargroup_handle), xios(get_reduce_axis_to_scalar_handle)
 END INTERFACE xios(get_handle)
 
@@ -141,5 +157,6 @@
                    xios(add_axistogrid), xios(add_domaintogrid), xios(add_zoomdomaintodomain),                       &
                    xios(add_interpolatedomaintodomain), xios(add_generatedomaintodomain),                            &
-                   xios(add_zoomaxistoaxis), xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis)
+                   xios(add_zoomaxistoaxis), xios(add_interpolateaxistoaxis), xios(add_inverseaxistoaxis),           &
+                   xios(add_scalar), xios(add_scalartogrid), xios(add_reduceaxistoscalartoscalar)
 END INTERFACE xios(add_child)
 
Index: XIOS/trunk/src/interface/fortran/ixml_tree.F90
===================================================================
--- XIOS/trunk/src/interface/fortran/ixml_tree.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran/ixml_tree.F90	(revision 891)
@@ -3,4 +3,5 @@
 MODULE IXML_TREE
    USE, INTRINSIC :: ISO_C_BINDING
+   USE ISCALAR
    USE IAXIS
    USE IFILE
@@ -15,4 +16,5 @@
    USE IINTERPOLATE_AXIS
    USE IINVERSE_AXIS
+   USE IREDUCE_AXIS_TO_SCALAR
 
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
@@ -42,4 +44,12 @@
       END SUBROUTINE cxios_xml_tree_add_file
 
+      SUBROUTINE cxios_xml_tree_add_scalar(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_scalar
+
       SUBROUTINE cxios_xml_tree_add_axis(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -108,4 +118,12 @@
       END SUBROUTINE cxios_xml_tree_add_filegroup
 
+      SUBROUTINE cxios_xml_tree_add_scalargroup(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_scalargroup
+
       SUBROUTINE cxios_xml_tree_add_axisgroup(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -148,4 +166,12 @@
       END SUBROUTINE cxios_xml_tree_add_variablegrouptofield
 
+      SUBROUTINE cxios_xml_tree_add_scalartogrid(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_scalartogrid
+
       SUBROUTINE cxios_xml_tree_add_axistogrid(parent_, child_, child_id, child_id_size) BIND(C)
          USE ISO_C_BINDING
@@ -211,4 +237,12 @@
          INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
       END SUBROUTINE cxios_xml_tree_add_inverseaxistoaxis
+
+      SUBROUTINE cxios_xml_tree_add_reduceaxistoscalartoscalar(parent_, child_, child_id, child_id_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T), VALUE        :: parent_
+         INTEGER  (kind = C_INTPTR_T)               :: child_
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: child_id
+         INTEGER  (kind = C_INT)     , VALUE        :: child_id_size
+      END SUBROUTINE cxios_xml_tree_add_reduceaxistoscalartoscalar
 
       SUBROUTINE cxios_xml_tree_show(filename, filename_size) BIND(C)
@@ -235,4 +269,16 @@
    CONTAINS ! Fonctions disponibles pour les utilisateurs.
 
+   SUBROUTINE xios(add_scalar)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(scalargroup))     , INTENT(IN) :: parent_hdl
+      TYPE(txios(scalar))          , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL, INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_scalar(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_scalar(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_scalar)
 
    SUBROUTINE xios(add_axis)(parent_hdl, child_hdl, child_id)
@@ -341,4 +387,16 @@
    END SUBROUTINE xios(add_variabletofield)
 
+   SUBROUTINE xios(add_scalargroup)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(scalargroup))      , INTENT(IN) :: parent_hdl
+      TYPE(txios(scalargroup))      , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL, INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_scalargroup(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_scalargroup(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_scalargroup)
 
    SUBROUTINE xios(add_axisgroup)(parent_hdl, child_hdl, child_id)
@@ -446,4 +504,17 @@
    END SUBROUTINE xios(add_variablegrouptofield)
 
+   SUBROUTINE xios(add_scalartogrid)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(grid))             , INTENT(IN) :: parent_hdl
+      TYPE(txios(scalar))           , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL  , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_scalartogrid(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_scalartogrid(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_scalartogrid)
+
    SUBROUTINE xios(add_axistogrid)(parent_hdl, child_hdl, child_id)
       TYPE(txios(grid))             , INTENT(IN) :: parent_hdl
@@ -549,3 +620,16 @@
 
    END SUBROUTINE xios(add_inverseaxistoaxis)
+
+   SUBROUTINE xios(add_reduceaxistoscalartoscalar)(parent_hdl, child_hdl, child_id)
+      TYPE(txios(axis))                      , INTENT(IN) :: parent_hdl
+      TYPE(txios(inverse_axis))              , INTENT(OUT):: child_hdl
+      CHARACTER(len = *), OPTIONAL           , INTENT(IN) :: child_id
+
+      IF (PRESENT(child_id)) THEN
+         CALL cxios_xml_tree_add_reduceaxistoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, child_id, len(child_id))
+      ELSE
+         CALL cxios_xml_tree_add_reduceaxistoscalartoscalar(parent_hdl%daddr, child_hdl%daddr, "NONE", -1)
+      END IF
+
+   END SUBROUTINE xios(add_reduceaxistoscalartoscalar)
 END MODULE IXML_TREE
Index: XIOS/trunk/src/interface/fortran/reduce_axis_to_scalar_interface.f90
===================================================================
--- XIOS/trunk/src/interface/fortran/reduce_axis_to_scalar_interface.f90	(revision 891)
+++ XIOS/trunk/src/interface/fortran/reduce_axis_to_scalar_interface.f90	(revision 891)
@@ -0,0 +1,22 @@
+MODULE REDUCE_AXIS_TO_SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reduce_axis_to_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_axis_to_scalar_handle_create
+
+      SUBROUTINE cxios_reduce_axis_to_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_axis_to_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE REDUCE_AXIS_TO_SCALAR_INTERFACE
Index: XIOS/trunk/src/interface/fortran/scalar_interface.f90
===================================================================
--- XIOS/trunk/src/interface/fortran/scalar_interface.f90	(revision 891)
+++ XIOS/trunk/src/interface/fortran/scalar_interface.f90	(revision 891)
@@ -0,0 +1,22 @@
+MODULE SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_scalar_handle_create
+
+      SUBROUTINE cxios_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE SCALAR_INTERFACE
Index: XIOS/trunk/src/interface/fortran/scalargroup_interface.f90
===================================================================
--- XIOS/trunk/src/interface/fortran/scalargroup_interface.f90	(revision 891)
+++ XIOS/trunk/src/interface/fortran/scalargroup_interface.f90	(revision 891)
@@ -0,0 +1,23 @@
+MODULE SCALARGROUP_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+
+      SUBROUTINE cxios_scalargroup_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_scalargroup_handle_create
+
+      SUBROUTINE cxios_scalargroup_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_scalargroup_valid_id
+
+   END INTERFACE
+
+END MODULE SCALARGROUP_INTERFACE
Index: XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/field_interface_attr.F90	(revision 891)
@@ -391,4 +391,25 @@
 
 
+    SUBROUTINE cxios_set_field_scalar_ref(field_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_set_field_scalar_ref
+
+    SUBROUTINE cxios_get_field_scalar_ref(field_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_get_field_scalar_ref
+
+    FUNCTION cxios_is_defined_field_scalar_ref(field_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_scalar_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
+    END FUNCTION cxios_is_defined_field_scalar_ref
+
+
     SUBROUTINE cxios_set_field_scale_factor(field_hdl, scale_factor) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 891)
@@ -412,4 +412,25 @@
 
 
+    SUBROUTINE cxios_set_fieldgroup_scalar_ref(fieldgroup_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_set_fieldgroup_scalar_ref
+
+    SUBROUTINE cxios_get_fieldgroup_scalar_ref(fieldgroup_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_get_fieldgroup_scalar_ref
+
+    FUNCTION cxios_is_defined_fieldgroup_scalar_ref(fieldgroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_scalar_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
+    END FUNCTION cxios_is_defined_fieldgroup_scalar_ref
+
+
     SUBROUTINE cxios_set_fieldgroup_scale_factor(fieldgroup_hdl, scale_factor) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/file_interface_attr.F90	(revision 891)
@@ -48,4 +48,23 @@
 
 
+    SUBROUTINE cxios_set_file_cyclic(file_hdl, cyclic) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: cyclic
+    END SUBROUTINE cxios_set_file_cyclic
+
+    SUBROUTINE cxios_get_file_cyclic(file_hdl, cyclic) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      LOGICAL (KIND=C_BOOL)             :: cyclic
+    END SUBROUTINE cxios_get_file_cyclic
+
+    FUNCTION cxios_is_defined_file_cyclic(file_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_file_cyclic
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+    END FUNCTION cxios_is_defined_file_cyclic
+
+
     SUBROUTINE cxios_set_file_description(file_hdl, description, description_size) BIND(C)
       USE ISO_C_BINDING
